---
updatedAt: 2026-05-13T09:04:22.000Z
---

# Update author metadata

Use the Bot v3 API to have the bot update author metadata properties

# Details

Update author CRM attributes with a PUT request to `/bots/v3/authors`.

<div class="rdmd-pinned">

```json Example Author JSON payload
{
  "type": "author_update",
  "coordinate": {
    "companyKey": "<company-key>",
    "networkKey": "brandmessenger",
    "externalId": "<external-id>",
    "messageId": "<message-id>",
    "botId": "<bot-id>",
    "scope": "PRIVATE"
  },
  "author": {
    "id": "<author-id>"
  },
  "properties": {
    "Gender": "Male",
    "Location": "us-north-1",
    "City": "Chicago",
    "Language": "en-UK",
    "Country": "USA",
    "State": "Il",
    "Page URL": "example.examplecorp.com",
    "IP Address": "1.2.3.4",
    "Page Title": "Example Page",
    "ruleId": "rule1",
    "widgetId": "widget1",
    "webUiKey": "webkey1",
    "User-Agent": "AgentExample",
    "Platform": "Web"
  },
  "updatedName": "Anonymous QA 50ec-90a5"
}
```

</div>

# Author Properties JSON payload fields

|                    |                                                                                                                                                                                                |
| :----------------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p>type</p>        | <p>The payload type. Always <code>author</code>.</p>                                                                                                                                           |
| <p>coordinate</p>  | <p>A <a href="ref:coordinate-object">Coordinate object</a>. This is object contains details about the bot and the message in context. It is used by Khoros Care.</p>                           |
| <p>author</p>      | <p>An <a href="ref:author-object">Author object</a> representing the message author on the source channel.</p>                                                                                 |
| <p>properties</p>  | <p>An <a href="ref:properties-object">Properties object</a> representing author-specific metadata that you would like to have displayed in the author's profile within Khoros Care.            |
| <p>updatedName</p> | <p>A display name to appear at the top of the author's profile in Care. This does not change or affect the author's full name stored in the <a href="ref:author-object">Author object</a>.</p> |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "bot-api-v3",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://api.app.lithium.com/bots/v3"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/authors/attributes (COPY)": {
      "put": {
        "summary": "Update author metadata",
        "description": "Use the Bot v3 API to have the bot update author metadata properties",
        "operationId": "authors-put",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "An `author properties` JSON payload. See payload details above.",
                    "format": "json"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "202": {
            "description": "202",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "HTTP/1.1 202 Accepted"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "HTTP/1.1 400 Bad Request{  \n  \"error\":{  \n    \"messages\":[  \n      \"Invalid networkKey farcebook\"\n    ]\n  }\n}"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl PUT \\\n  https://api.app.lithium.com/bots/v3/authors/attributes \\\n  --data @/path/to/payload.json \\\n  -H \"Content-type: application/json; charset=utf-8\" \\\n  -H \"Authorization: Bearer [TOKEN]\"\n"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Authorization",
        "value": "Bearer [TOKEN]"
      },
      {
        "key": "Content-type",
        "value": "application/json; charset=utf-8"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```